elm::datetime Struct Reference

Public Member Functions
elm::datetime Struct Reference

Class datetime. More...

## Public Member Functions
| datetime (Eo *eo)
| Eo Constructor. More...
| datetime (std::nullptr_t)
| nullptr_t Constructor. More...
| datetime (datetime const &other)
| Copy Constructor.
void | field_limit_set (Elm_Datetime_Field_Type fieldtype_, int min_, int max_) const
void | field_limit_get (Elm_Datetime_Field_Type fieldtype_, int *min_, int *max_) const
bool | value_min_set (const Elm_Datetime_Time *mintime_) const
bool | value_min_get (Elm_Datetime_Time *mintime_) const
bool | value_set (const Elm_Datetime_Time *newtime_) const
bool | value_get (Elm_Datetime_Time *currtime_) const
void | field_visible_set (Elm_Datetime_Field_Type fieldtype_, bool visible_) const
bool | field_visible_get (Elm_Datetime_Field_Type fieldtype_) const
bool | value_max_set (const Elm_Datetime_Time *maxtime_) const
bool | value_max_get (Elm_Datetime_Time *maxtime_) const
| datetime (::efl::eo::parent_type _p)
| Constructs a new elm::datetime object. More...

## Detailed Description

Class datetime.

## Constructor & Destructor Documentation

## ◆ datetime() [1/3]

elm::datetime::datetime | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::datetime object.

Constructs a new elm::datetime object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::datetime my_datetime(efl::eo::parent = parent_object);

See also
  datetime(Eo* eo)

## ◆ datetime() [2/3]

elm::datetime::datetime | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ datetime() [3/3]

elm::datetime::datetime | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

## ◆ field_limit_get()

void elm::datetime::field_limit_get | ( | Elm_Datetime_Field_Type | fieldtype_,
|  | int * | min_,
|  | int * | max_
| ) |  | const

Parameters

  | fieldtype |
  [out] | min |
  [out] | max |

## ◆ field_limit_set()

void elm::datetime::field_limit_set | ( | Elm_Datetime_Field_Type | fieldtype_,
|  | int | min_,
|  | int | max_
| ) |  | const

Parameters

  fieldtype |
  min |
  max |

## ◆ field_visible_get()

bool elm::datetime::field_visible_get | ( | Elm_Datetime_Field_Type | fieldtype_ | ) | const

Parameters

  fieldtype |

## ◆ field_visible_set()

void elm::datetime::field_visible_set | ( | Elm_Datetime_Field_Type | fieldtype_,
|  | bool | visible_
| ) |  | const

Parameters

  fieldtype |
  visible |

## ◆ value_get()

bool elm::datetime::value_get | ( | Elm_Datetime_Time * | currtime_ | ) | const

Parameters

  [in,out] | currtime |

## ◆ value_max_get()

bool elm::datetime::value_max_get | ( | Elm_Datetime_Time * | maxtime_ | ) | const

Parameters

  [in,out] | maxtime |

## ◆ value_max_set()

bool elm::datetime::value_max_set | ( | const Elm_Datetime_Time * | maxtime_ | ) | const

Parameters

  maxtime |

## ◆ value_min_get()

bool elm::datetime::value_min_get | ( | Elm_Datetime_Time * | mintime_ | ) | const

Parameters

  [in,out] | mintime |

## ◆ value_min_set()

bool elm::datetime::value_min_set | ( | const Elm_Datetime_Time * | mintime_ | ) | const

Parameters

  mintime |

## ◆ value_set()

bool elm::datetime::value_set | ( | const Elm_Datetime_Time * | newtime_ | ) | const

Parameters

  newtime |